Bug 865434 - (CVE-2012-5087) CVE-2012-5087 OpenJDK: PropertyElementHandler insufficient access checks (Beans, 7195549)
CVE-2012-5087 OpenJDK: PropertyElementHandler insufficient access checks (Bea...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20121016,repor...
: Security
Depends On:
Blocks: 862579
  Show dependency treegraph
 
Reported: 2012-10-11 09:00 EDT by Tomas Hoger
Modified: 2012-11-16 03:48 EST (History)
6 users (show)

See Also:
Fixed In Version: icedtea7 2.1.3, icedtea7 2.2.3, icedtea7 2.3.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-16 03:48:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2012-10-11 09:00:12 EDT
It was discovered that com.sun.beans.decoder.PropertyElementHandler class used by Java Beans XMLDecoder did not perform all needed access control checks.  An untrusted Java application or applet could use this flaw to bypass Java sandbox restrictions.
Comment 2 Tomas Hoger 2012-10-17 10:39:53 EDT
Fixed now in Oracle JDK 7u9.

External Reference:

http://www.oracle.com/technetwork/topics/security/javacpuoct2012-1515924.html
Comment 3 errata-xmlrpc 2012-10-17 12:10:04 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1386 https://rhn.redhat.com/errata/RHSA-2012-1386.html
Comment 5 errata-xmlrpc 2012-10-18 12:46:19 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:1391 https://rhn.redhat.com/errata/RHSA-2012-1391.html
Comment 6 errata-xmlrpc 2012-11-15 16:09:08 EST
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2012:1467 https://rhn.redhat.com/errata/RHSA-2012-1467.html

Note You need to log in before you can comment on or make changes to this bug.